<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PackageSearcherResponse StructType
 * @subpackage Structs
 */
class PackageSearcherResponse extends AbstractStructBase
{
    /**
     * The PackageSearcherRS
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_StaticDataRS
     */
    public $PackageSearcherRS;
    /**
     * Constructor method for PackageSearcherResponse
     * @uses PackageSearcherResponse::setPackageSearcherRS()
     * @param \StructType\JP_StaticDataRS $packageSearcherRS
     */
    public function __construct(\StructType\JP_StaticDataRS $packageSearcherRS = null)
    {
        $this
            ->setPackageSearcherRS($packageSearcherRS);
    }
    /**
     * Get PackageSearcherRS value
     * @return \StructType\JP_StaticDataRS|null
     */
    public function getPackageSearcherRS()
    {
        return $this->PackageSearcherRS;
    }
    /**
     * Set PackageSearcherRS value
     * @param \StructType\JP_StaticDataRS $packageSearcherRS
     * @return \StructType\PackageSearcherResponse
     */
    public function setPackageSearcherRS(\StructType\JP_StaticDataRS $packageSearcherRS = null)
    {
        $this->PackageSearcherRS = $packageSearcherRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PackageSearcherResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
